<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-count-enable'] = 1;
$biography_customizer_defaults['biography-home-count-title'] = esc_html__( 'Our Counts','biography' );
$biography_customizer_defaults['biography-home-count-number'] = 3;
$biography_customizer_defaults['biography-home-count-cat-all'] = 1;
$biography_customizer_defaults['biography-home-count-single-words'] = 30;
$biography_customizer_defaults['biography-home-count-column'] = 3;
$biography_customizer_defaults['biography-home-count-button-text'] = esc_html__('Browse more counts','biography');
$biography_customizer_defaults['biography-home-count-button-link'] = esc_url( home_url( '/counts' ) );
$biography_customizer_defaults['biography-home-count-enable-single-link'] = 1;
$biography_customizer_defaults['biography-home-count-bg-image'] = get_template_directory_uri().'/assets/img/story-bg.jpg';


/*countoptions*/
$biography_sections['biography-home-count-options'] =
    array(
        'priority'       => 80,
        'title'          => esc_html__( 'Count Options', 'biography' ),
        'panel'          => 'biography-home-count',
    );

/*countsetting*/
$biography_settings_controls['biography-home-count-enable'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-enable']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Count', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'checkbox',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );

/*defaults values*/
$biography_settings_controls['biography-home-count-title'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-title']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Main Title', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'text',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-count-number'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-number']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number of Count/s', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'select',
            'choices'               => array(
                1 => esc_html__( '1', 'biography' ),
                2 => esc_html__( '2', 'biography' ),
                3 => esc_html__( '3', 'biography' ),
                4 => esc_html__( '4', 'biography' )
            ),
            'priority'              => 22,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-count-cat-all'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-cat-all']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Check To Show All Posts From Selected Category', 'biography' ),
            'description'           =>  esc_html__( 'Note : Only work when you have selected counts for category', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'checkbox',
            'priority'              => 25,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-count-single-words'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-single-words']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number Of Words in Single Column Content', 'biography' ),
            'description'           =>  esc_html__( 'If you do not have selected from - Custom', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'number',
            'priority'              => 28,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-count-column'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-column']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number Of Columns', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'select',
            'choices'               => array(
                1 => esc_html__( '1', 'biography' ),
                2 => esc_html__( '2', 'biography' ),
                3 => esc_html__( '3', 'biography' ),
                4 => esc_html__( '4', 'biography' ),
            ),
            'priority'              => 30,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-count-bg-image'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-bg-image'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Background Image', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'image',
            'description'           =>  esc_html__( 'If you remove image, default image will be shown as background image', 'biography' ),
            'priority'              => 30
        )
    );
$biography_settings_controls['biography-home-count-enable-single-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-enable-single-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Link In Single Column', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'checkbox',
            'priority'              => 35,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-count-button-text'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-button-text']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Text', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'text',
            'priority'              => 40,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-count-button-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-count-button-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Link', 'biography' ),
            'section'               => 'biography-home-count-options',
            'type'                  => 'url',
            'priority'              => 50
        )
    );