<?php
if ( ! function_exists( 'biography_sanitize_select' ) ) :
    /**
     * Function to sanitize select
     *
     * @access public
     * @since 1.1
     *
     * @param $biography_input
     * @param $biography_setting
     * @return string
     *
     */
    function biography_sanitize_select( $biography_input, $biography_setting ) {

        // Ensure input is a slug.
        $biography_input = sanitize_key( $biography_input );

        // Get list of choices from the control associated with the setting.
        $biography_choices = $biography_setting->manager->get_control( $biography_setting->id )->choices;

        // If the input is a valid key, return it; otherwise, return the default.
        return ( array_key_exists( $biography_input, $biography_choices ) ? $biography_input : $biography_setting->default );
    }

endif;

if ( ! function_exists( 'biography_sanitize_select_fonts' ) ) :
    /**
     * Function to sanitize select fonts
     *
     * @access public
     * @since 1.1
     *
     * @param $biography_input
     * @param $biography_setting
     * @return string
     *
     */
    function biography_sanitize_select_fonts( $biography_input, $biography_setting ) {

        // Ensure input is a slug.
        $biography_input = sanitize_text_field( $biography_input );

        // Get list of choices from the control associated with the setting.
        $biography_choices = $biography_setting->manager->get_control( $biography_setting->id )->choices;

        // If the input is a valid key, return it; otherwise, return the default.
        return ( array_key_exists( $biography_input, $biography_choices ) ? $biography_input : $biography_setting->default );
    }

endif;