<?php
if ( ! function_exists( 'biography_sanitize_upload' ) ) :
    /**
     * Function to sanitize upload
     *
     * @access public
     * @since 1.1
     *
     * @param $biography_upload
     * @return string
     *
     */
    function biography_sanitize_upload( $biography_upload, $biography_setting ) {
        /*
         * Array of valid upload file types.
         *
         * The array includes upload mime types that are included in wp_get_mime_types()
         */
        $biography_mimes = wp_get_mime_types();
        // Return an array with file extension and mime_type.
        $biography_file = wp_check_filetype( $biography_upload, $biography_mimes );
        // If $biography_upload has a valid mime_type, return it; otherwise, return the default.
        return ( $biography_file['ext'] ? $biography_upload : $biography_setting->default );
    }

endif;